## tardiff-1.0.tar.gz

=== Makefile ===
CFLAGS=-Wall -Wextra -O2 -g
OBJS=common.o binsort.o patch-forward.o patch-backward.o \
	identify.o tardiff.o tarpatch.o tardiffmerge.o tardiffinfo.o main.o
LDLIBS=-lcrypto -lz

all: tardiff

tardiff: $(OBJS)
	$(CC) $(LDFLAGS) -o tardiff $(OBJS) $(LDLIBS)

install: all
	install -s tardiff $(PREFIX)/bin/
	ln -sf tardiff $(PREFIX)/bin/tarpatch
	ln -sf tardiff $(PREFIX)/bin/tardiffmerge
	ln -sf tardiff $(PREFIX)/bin/tardiffinfo

uninstall:
	rm -f $(PREFIX)/bin/tardiff
	rm -f $(PREFIX)/bin/tarpatch
	rm -f $(PREFIX)/bin/tardiffmerge
	rm -f $(PREFIX)/bin/tardiffinfo

clean:
	rm -f *.o

distclean: clean
	rm -f tardiff

.PHONY: all clean distclean install uninstall

=== PKGBUILD ===
pkgname=tardiff
pkgver=1.0
pkgrel=1
pkgdesc="Binary diff and patch tools"
arch=('i686' 'x86_64')
depends=()

build() {
	make -C "${startdir}"
}

package() {
	mkdir -p "${pkgdir}/usr/bin"
	make -C "${startdir}" PREFIX="${pkgdir}/usr" install
}
